%global commit	a2c42d86b688986e94d42b8b15ad595a9f994cfe
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:	masscan
Version:	master
Release:	1%{?dist}
Summary:	Port scanner
License:	BSD
URL:		https://github.com/robertdavidgraham/%{name}	
Source0:	https://github.com/robertdavidgraham/%{name}/archive/%{commit}/%{name}-master-%{shortcommit}.zip

BuildRequires:	libpcap-devel

%description
This is the fastest Internet port scanner.
It can scan the entire Internet in under
6 minutes, transmitting 10 million packets
per second.

%prep
%setup -q -n %{name}-%{commit}


%build
make %{?_smp_mflags} 


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_bindir}/
install -pm 0755 bin/masscan %{buildroot}%{_bindir}/%{name}

%files
%doc LICENSE VULNINFO.md
%{_bindir}/masscan



%changelog
* Wed Sep 11 2013 Rino Rondan <villadalmine@fedoraproject.org> - master-1
- Initial Package
